#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


from fanstatic import Resource, Library
from pyams_skin import myams_js, bootstrap_css, bootstrap
from pyams_utils.fanstatic import ExternalResource

from pyramid.i18n import TranslationStringFactory
_ = TranslationStringFactory('pyams_default_theme')


library = Library('pyams_default_theme', 'resources')

pyams_default_theme_fonts = ExternalResource(library, 'https://fonts.googleapis.com/css?family=Lato:300|Oswald',
                                             resource_type='css')

pyams_default_theme_css = Resource(library, 'css/pyams-default.css',
                                   minified='css/pyams-default.min.css',
                                   depends=[bootstrap_css, pyams_default_theme_fonts])

pyams_default_theme = Resource(library, 'js/pyams-default.js',
                               minified='js/pyams-default.min.js',
                               depends=[bootstrap, myams_js, pyams_default_theme_css],
                               bottom=True)


def includeme(config):
    """Pyramid include"""

    from .include import include_package
    include_package(config)
