#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.features.header.interfaces import IHeaderRendererSettings

# import packages
from pyams_file.schema import ImageField
from zope.interface import Interface, Attribute

from pyams_default_theme import _


class ISimpleHeaderRendererSettings(IHeaderRendererSettings):
    """Simple header renderer settings"""

    banner = ImageField(title=_("Banner image"),
                        description=_("Image displayed as header background"),
                        required=False)

    logo = ImageField(title=_("Logo"),
                      description=_("Logo displayed in header"),
                      required=False)

    tabs = Attribute("Top tabs list")


class ISimpleHeaderTabsMenu(Interface):
    """Simple header menu marker interface"""
